import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetCostForecastRequest,
  GetCostForecastResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetCostForecastCommandInput extends GetCostForecastRequest {}
export interface GetCostForecastCommandOutput
  extends GetCostForecastResponse,
    __MetadataBearer {}
export declare class GetCostForecastCommand extends $Command<
  GetCostForecastCommandInput,
  GetCostForecastCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetCostForecastCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetCostForecastCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetCostForecastCommandInput, GetCostForecastCommandOutput>;
  private serialize;
  private deserialize;
}
